# Uses of Class
it.tdlight.jni.TdApi.DateRange

## Uses of TdApi.DateRange in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.DateRange
Modifier and Type
Field
Description
`TdApi.DateRange`
TdApi.ChatStatisticsChannel.`period`
A period to which the statistics applies.
`TdApi.DateRange`
TdApi.ChatStatisticsSupergroup.`period`
A period to which the statistics applies.
Constructors in it.tdlight.jni with parameters of type TdApi.DateRange
Modifier
Constructor
Description
``
`ChatStatisticsChannel(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue meanViewCount, TdApi.StatisticalValue meanShareCount, double enabledNotificationsPercentage, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph muteGraph, TdApi.StatisticalGraph viewCountByHourGraph, TdApi.StatisticalGraph viewCountBySourceGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph instantViewInteractionGraph, TdApi.ChatStatisticsMessageInteractionInfo[] recentMessageInteractions)`
A detailed statistics about a channel chat.
``
`ChatStatisticsSupergroup(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue messageCount, TdApi.StatisticalValue viewerCount, TdApi.StatisticalValue senderCount, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageContentGraph, TdApi.StatisticalGraph actionGraph, TdApi.StatisticalGraph dayGraph, TdApi.StatisticalGraph weekGraph, TdApi.ChatStatisticsMessageSenderInfo[] topSenders, TdApi.ChatStatisticsAdministratorActionsInfo[] topAdministrators, TdApi.ChatStatisticsInviterInfo[] topInviters)`
A detailed statistics about a supergroup chat.